{
   "format_version":"1.16.100",
   "minecraft:block":{
      "description":{
         "identifier":"vatonage:purpur_summon"
      },
      "components":{
         "minecraft:destroy_time":10.00,
         "minecraft:explosion_resistance":1,
         "minecraft:block_light_emission":0,
         "minecraft:material_instances":{
            "*":{
               "texture":"purpur_summon",
               "render_method":"alpha_test"
            }
         },
         "minecraft:geometry":"geometry.summon_platform3",
         "minecraft:block_light_absorption":0,
         "minecraft:pick_collision":{
            "origin":[
               -8.0,
               0.0,
               -8.0
            ],
            "size":[
               16.0,
               16.0,
               16.0
            ]
         },
         "minecraft:on_interact":{
            "target":"other",
            "event":"vatonage:interact"
         }
      },
      "events":{
         "vatonage:interact":{
            "sequence":[
               {
                  "condition":"query.get_equipped_item_name == 'purpur_key'",
                  "run_command":{
                     "command":"summon vatonage:spawn_purpur_platform"
                  },
                  "decrement_stack":{
                     
                  }
               },
               {
                  "condition":"query.get_equipped_item_name != 'purpur_key'",
                  "run_command":{
                     "command":"function platformtellraw"
                  }
               }
            ]
         }
      }
   }
}